GET
/
conversations
/
{conversation_id}
/
variables
{
  "limit": 123,
  "has_more": true,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "value_type": "<string>",
      "value": "<string>",
      "description": "<string>",
      "created_at": 123,
      "updated_at": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with 'Bearer '. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

conversation_id
string
required

The ID of the conversation to retrieve variables from.

Query Parameters

user
string
required

The user identifier.

last_id
string

(Optional) The ID of the last record on the current page (for pagination).

limit
integer
default:20

(Optional) How many records to return. Default 20, Min 1, Max 100.

Required range: 1 <= x <= 100
variable_name
string

(Optional) Filter variables by a specific name.

Response

Successfully retrieved conversation variables.

limit
integer

Number of items per page.

has_more
boolean

Whether there is a next page.

data
object[]